%define packname multcomp
%global packver  1.4
%define packrel  17

Summary:        Simultaneous inference for general linear hypotheses R Package
Name:           R-%{packname}
Version:        %{packver}.%{packrel}
Release:        1
License:        GPLv2
Source0:        http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
URL:            http://cran.r-project.org/web/packages/multcomp/index.html
BuildArch:      noarch
BuildRequires:  R-devel >= 3.0.0, tex(latex)
BuildRequires:  R-stats, R-graphics
BuildRequires:  R-TH-data >= 1.0.2
BuildRequires:  R-mvtnorm >= 1.0.10
BuildRequires:  R-sandwich >= 2.3.0
BuildRequires:  R-survival >= 2.39.4
BuildRequires:  R-codetools
BuildRequires:  R-lmtest

%description
This R package contains functions for simultaneous tests and confidence
intervals for general linear hypotheses in parametric models, including
linear, generalized linear, linear mixed effects, and survival models.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l %{buildroot}%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
%{_bindir}/R CMD check --no-install %{packname}


%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/demo
%doc %{_datadir}/R/library/%{packname}/deprecated
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/CITATION
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/NEWS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/MCMT
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/multcomp_VA.R
%{_datadir}/R/library/%{packname}/multcomp_coxme.R


%changelog
* Thu Jun 16 2022 misaka00251 <misaka00251@misakanet.cn> - 1.4.17-1
- Init package (Thanks to fedora team)
